package com.persagy.apm.diagnose.indicatorcompute.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-09-21 13:32:44
 */
@Data
@ApiModel(value = "更新入参")
public class UpdateProjectIndicatorComputeDTO {
    @ApiModelProperty(value = "项目id", required = true)
    @NotNull(message = "项目id不能为空") // todo 更新校验规则
    private String projectId;
    
    @ApiModelProperty(value = "计算轮次", required = true)
    @NotNull(message = "计算轮次不能为空") // todo 更新校验规则
    private Integer computeRound;
    
    @ApiModelProperty(value = "计算时间", required = true)
    @NotNull(message = "计算时间不能为空") // todo 更新校验规则
    private Date computeTime;
    
    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空") // todo 更新校验规则
    private String id;
    
}
